2017-11-19 10:07 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004240Kali Linux[All Projects] General Bugpublic2017-09-13 06:47
Reporteryokeen 
Assigned Torhertzog 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionwon't fix 
Product Version2017.1 
Target VersionFixed in Version 
Summary0004240: Kali linux 2017.1 MySQL设置密码刷新权限还是可以空密码登录问题
Description新版Kali linux的MySQL,为其单一用户root设置密码刷新权限重启服务之后还是可以空密码登录。

Kali linux 2017.1 -> Mysql

Set password for only user 'root',then flush privileges or services mysql restart,still can login no password.

please see file.rar.
Steps To Reproducealways
Attached Files
  • rar file icon file.rar (2,084,531 bytes) 2017-09-12 02:07

-Relationships
+Relationships

-Notes

~0007298

yokeen (reporter)

my blog: www.addon.pub

detail description

~0007299

rhertzog (administrator)

I guess this is not a bug, you are just assuming that you are connected via "localhost" or "127.0.0.1" and you are not unless you pass "-h localhost" or "-h 127.0.0.1". Use the wildcard "%" to match any host.

CREATE USER 'root'@'%' IDENTIFIED BY '12345';

~0007300

yokeen (reporter)

It's process:
i install Kali linux 2017.1,then i start MySQL,we know it has a user that named 'root',and i set password for root,then flush privileges,service mysql restart.

But,it still login use commond "mysql",i search this question on google,baidu... i find nobody can solve it,they choose reinstall or wait...

so,i attempt solve it,file.rar is my answer.

so i truely think it is a bug. if official don't solve,when someone install kali and set password but still login with commond 'mysql',i thinking someone can't solve it..

thank you

~0007301

yokeen (reporter)

the important question is 'mysql built-in user' when init Kali linux

~0007304

rhertzog (administrator)

I already gave you my explanation. Please don't reopen the ticket unless you show me that you have done what I suggested and that you prove that it doesn't work. This is really a mysql user question.

Please work with user forums, not with this bug tracker. Also we only support fully up-to-date systems so after having installed 2017.1 you should dist-upgrade.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-12 02:07 yokeen New Issue
2017-09-12 02:07 yokeen File Added: file.rar
2017-09-12 02:34 yokeen Note Added: 0007298
2017-09-12 07:34 rhertzog Assigned To => rhertzog
2017-09-12 07:34 rhertzog Status new => closed
2017-09-12 07:34 rhertzog Resolution open => won't fix
2017-09-12 07:34 rhertzog Note Added: 0007299
2017-09-12 12:55 yokeen Status closed => feedback
2017-09-12 12:55 yokeen Resolution won't fix => reopened
2017-09-12 12:55 yokeen Note Added: 0007300
2017-09-12 12:58 yokeen Note Added: 0007301
2017-09-12 12:58 yokeen Status feedback => assigned
2017-09-13 06:47 rhertzog Status assigned => closed
2017-09-13 06:47 rhertzog Resolution reopened => won't fix
2017-09-13 06:47 rhertzog Note Added: 0007304
+Issue History